IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fc4d::/16- First address
fc4d::- Last address
fc4d:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fc4d:0000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
d.4.c.f.ip6.arpa
Split into smaller subnets
fc4d::/16 makes 4,096 subnets of /28; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fc4d::/28 | fc4d:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fc4d:10::/28 | fc4d:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fc4d:20::/28 | fc4d:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fc4d:30::/28 | fc4d:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fc4d:40::/28 | fc4d:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fc4d:50::/28 | fc4d:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fc4d:60::/28 | fc4d:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fc4d:70::/28 | fc4d:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fc4d:80::/28 | fc4d:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fc4d:90::/28 | fc4d:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fc4d:a0::/28 | fc4d:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fc4d:b0::/28 | fc4d:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fc4d:c0::/28 | fc4d:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fc4d:d0::/28 | fc4d:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fc4d:e0::/28 | fc4d:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fc4d:f0::/28 | fc4d:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fc4d:100::/28 | fc4d:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fc4d:110::/28 | fc4d:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fc4d:120::/28 | fc4d:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fc4d:130::/28 | fc4d:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fc4d:140::/28 | fc4d:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fc4d:150::/28 | fc4d:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fc4d:160::/28 | fc4d:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fc4d:170::/28 | fc4d:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fc4d:180::/28 | fc4d:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fc4d:190::/28 | fc4d:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fc4d:1a0::/28 | fc4d:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fc4d:1b0::/28 | fc4d:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fc4d:1c0::/28 | fc4d:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fc4d:1d0::/28 | fc4d:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fc4d:1e0::/28 | fc4d:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fc4d:1f0::/28 | fc4d:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fc4d:200::/28 | fc4d:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fc4d:210::/28 | fc4d:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fc4d:220::/28 | fc4d:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fc4d:230::/28 | fc4d:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fc4d:240::/28 | fc4d:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fc4d:250::/28 | fc4d:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fc4d:260::/28 | fc4d:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fc4d:270::/28 | fc4d:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fc4d:280::/28 | fc4d:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fc4d:290::/28 | fc4d:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fc4d:2a0::/28 | fc4d:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fc4d:2b0::/28 | fc4d:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fc4d:2c0::/28 | fc4d:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fc4d:2d0::/28 | fc4d:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fc4d:2e0::/28 | fc4d:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fc4d:2f0::/28 | fc4d:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fc4d:300::/28 | fc4d:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fc4d:310::/28 | fc4d:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fc4d:320::/28 | fc4d:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fc4d:330::/28 | fc4d:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fc4d:340::/28 | fc4d:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fc4d:350::/28 | fc4d:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fc4d:360::/28 | fc4d:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fc4d:370::/28 | fc4d:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fc4d:380::/28 | fc4d:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fc4d:390::/28 | fc4d:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fc4d:3a0::/28 | fc4d:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fc4d:3b0::/28 | fc4d:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fc4d:3c0::/28 | fc4d:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fc4d:3d0::/28 | fc4d:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fc4d:3e0::/28 | fc4d:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fc4d:3f0::/28 | fc4d:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fc4d:400::/28 | fc4d:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fc4d:410::/28 | fc4d:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fc4d:420::/28 | fc4d:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fc4d:430::/28 | fc4d:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fc4d:440::/28 | fc4d:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fc4d:450::/28 | fc4d:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fc4d:460::/28 | fc4d:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fc4d:470::/28 | fc4d:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fc4d:480::/28 | fc4d:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fc4d:490::/28 | fc4d:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fc4d:4a0::/28 | fc4d:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fc4d:4b0::/28 | fc4d:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fc4d:4c0::/28 | fc4d:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fc4d:4d0::/28 | fc4d:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fc4d:4e0::/28 | fc4d:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fc4d:4f0::/28 | fc4d:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fc4d:500::/28 | fc4d:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fc4d:510::/28 | fc4d:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fc4d:520::/28 | fc4d:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fc4d:530::/28 | fc4d:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fc4d:540::/28 | fc4d:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fc4d:550::/28 | fc4d:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fc4d:560::/28 | fc4d:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fc4d:570::/28 | fc4d:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fc4d:580::/28 | fc4d:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fc4d:590::/28 | fc4d:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fc4d:5a0::/28 | fc4d:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fc4d:5b0::/28 | fc4d:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fc4d:5c0::/28 | fc4d:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fc4d:5d0::/28 | fc4d:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fc4d:5e0::/28 | fc4d:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fc4d:5f0::/28 | fc4d:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fc4d:600::/28 | fc4d:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fc4d:610::/28 | fc4d:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fc4d:620::/28 | fc4d:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fc4d:630::/28 | fc4d:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fc4d:640::/28 | fc4d:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fc4d:650::/28 | fc4d:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fc4d:660::/28 | fc4d:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fc4d:670::/28 | fc4d:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fc4d:680::/28 | fc4d:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fc4d:690::/28 | fc4d:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fc4d:6a0::/28 | fc4d:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fc4d:6b0::/28 | fc4d:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fc4d:6c0::/28 | fc4d:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fc4d:6d0::/28 | fc4d:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fc4d:6e0::/28 | fc4d:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fc4d:6f0::/28 | fc4d:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fc4d:700::/28 | fc4d:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fc4d:710::/28 | fc4d:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fc4d:720::/28 | fc4d:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fc4d:730::/28 | fc4d:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fc4d:740::/28 | fc4d:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fc4d:750::/28 | fc4d:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fc4d:760::/28 | fc4d:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fc4d:770::/28 | fc4d:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fc4d:780::/28 | fc4d:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fc4d:790::/28 | fc4d:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fc4d:7a0::/28 | fc4d:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fc4d:7b0::/28 | fc4d:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fc4d:7c0::/28 | fc4d:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fc4d:7d0::/28 | fc4d:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fc4d:7e0::/28 | fc4d:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fc4d:7f0::/28 | fc4d:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fc4d:800::/28 | fc4d:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fc4d:810::/28 | fc4d:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fc4d:820::/28 | fc4d:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fc4d:830::/28 | fc4d:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fc4d:840::/28 | fc4d:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fc4d:850::/28 | fc4d:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fc4d:860::/28 | fc4d:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fc4d:870::/28 | fc4d:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fc4d:880::/28 | fc4d:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fc4d:890::/28 | fc4d:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fc4d:8a0::/28 | fc4d:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fc4d:8b0::/28 | fc4d:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fc4d:8c0::/28 | fc4d:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fc4d:8d0::/28 | fc4d:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fc4d:8e0::/28 | fc4d:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fc4d:8f0::/28 | fc4d:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fc4d:900::/28 | fc4d:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fc4d:910::/28 | fc4d:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fc4d:920::/28 | fc4d:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fc4d:930::/28 | fc4d:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fc4d:940::/28 | fc4d:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fc4d:950::/28 | fc4d:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fc4d:960::/28 | fc4d:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fc4d:970::/28 | fc4d:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fc4d:980::/28 | fc4d:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fc4d:990::/28 | fc4d:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fc4d:9a0::/28 | fc4d:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fc4d:9b0::/28 | fc4d:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fc4d:9c0::/28 | fc4d:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fc4d:9d0::/28 | fc4d:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fc4d:9e0::/28 | fc4d:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fc4d:9f0::/28 | fc4d:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fc4d:a00::/28 | fc4d:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fc4d:a10::/28 | fc4d:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fc4d:a20::/28 | fc4d:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fc4d:a30::/28 | fc4d:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fc4d:a40::/28 | fc4d:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fc4d:a50::/28 | fc4d:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fc4d:a60::/28 | fc4d:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fc4d:a70::/28 | fc4d:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fc4d:a80::/28 | fc4d:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fc4d:a90::/28 | fc4d:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fc4d:aa0::/28 | fc4d:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fc4d:ab0::/28 | fc4d:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fc4d:ac0::/28 | fc4d:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fc4d:ad0::/28 | fc4d:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fc4d:ae0::/28 | fc4d:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fc4d:af0::/28 | fc4d:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fc4d:b00::/28 | fc4d:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fc4d:b10::/28 | fc4d:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fc4d:b20::/28 | fc4d:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fc4d:b30::/28 | fc4d:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fc4d:b40::/28 | fc4d:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fc4d:b50::/28 | fc4d:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fc4d:b60::/28 | fc4d:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fc4d:b70::/28 | fc4d:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fc4d:b80::/28 | fc4d:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fc4d:b90::/28 | fc4d:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fc4d:ba0::/28 | fc4d:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fc4d:bb0::/28 | fc4d:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fc4d:bc0::/28 | fc4d:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fc4d:bd0::/28 | fc4d:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fc4d:be0::/28 | fc4d:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fc4d:bf0::/28 | fc4d:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fc4d:c00::/28 | fc4d:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fc4d:c10::/28 | fc4d:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fc4d:c20::/28 | fc4d:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fc4d:c30::/28 | fc4d:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fc4d:c40::/28 | fc4d:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fc4d:c50::/28 | fc4d:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fc4d:c60::/28 | fc4d:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fc4d:c70::/28 | fc4d:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fc4d:c80::/28 | fc4d:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fc4d:c90::/28 | fc4d:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fc4d:ca0::/28 | fc4d:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fc4d:cb0::/28 | fc4d:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fc4d:cc0::/28 | fc4d:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fc4d:cd0::/28 | fc4d:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fc4d:ce0::/28 | fc4d:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fc4d:cf0::/28 | fc4d:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fc4d:d00::/28 | fc4d:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fc4d:d10::/28 | fc4d:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fc4d:d20::/28 | fc4d:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fc4d:d30::/28 | fc4d:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fc4d:d40::/28 | fc4d:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fc4d:d50::/28 | fc4d:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fc4d:d60::/28 | fc4d:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fc4d:d70::/28 | fc4d:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fc4d:d80::/28 | fc4d:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fc4d:d90::/28 | fc4d:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fc4d:da0::/28 | fc4d:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fc4d:db0::/28 | fc4d:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fc4d:dc0::/28 | fc4d:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fc4d:dd0::/28 | fc4d:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fc4d:de0::/28 | fc4d:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fc4d:df0::/28 | fc4d:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fc4d:e00::/28 | fc4d:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fc4d:e10::/28 | fc4d:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fc4d:e20::/28 | fc4d:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fc4d:e30::/28 | fc4d:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fc4d:e40::/28 | fc4d:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fc4d:e50::/28 | fc4d:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fc4d:e60::/28 | fc4d:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fc4d:e70::/28 | fc4d:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fc4d:e80::/28 | fc4d:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fc4d:e90::/28 | fc4d:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fc4d:ea0::/28 | fc4d:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fc4d:eb0::/28 | fc4d:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fc4d:ec0::/28 | fc4d:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fc4d:ed0::/28 | fc4d:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fc4d:ee0::/28 | fc4d:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fc4d:ef0::/28 | fc4d:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fc4d:f00::/28 | fc4d:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fc4d:f10::/28 | fc4d:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fc4d:f20::/28 | fc4d:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fc4d:f30::/28 | fc4d:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fc4d:f40::/28 | fc4d:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fc4d:f50::/28 | fc4d:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fc4d:f60::/28 | fc4d:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fc4d:f70::/28 | fc4d:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fc4d:f80::/28 | fc4d:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fc4d:f90::/28 | fc4d:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fc4d:fa0::/28 | fc4d:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fc4d:fb0::/28 | fc4d:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fc4d:fc0::/28 | fc4d:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fc4d:fd0::/28 | fc4d:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fc4d:fe0::/28 | fc4d:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fc4d:ff0::/28 | fc4d:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |